local M = {}
M.type = "auxiliary"
M.relevantDevice = nil

local htmlTexture = require("htmlTexture")

local neonMaterialName = nil
local htmlPath = nil
local updateFPS = 15
local neonmR = 0
local neonmG = 0
local neonmB = 0
local function init(jbeamData)
	neonMaterialName = jbeamData.materialName
	htmlPath = jbeamData.htmlPath
	local width = jbeamData.textureWidth or 16
	local height = jbeamData.textureHeight or 16
	local data = {}
	data.neonmR = jbeamData.neonmR
	data.neonmG = jbeamData.neonmG
	data.neonmG = jbeamData.neonmB

    htmlTexture.create(neonMaterialName, htmlPath, width, height, updateFPS, "automatic")
	htmlTexture.call(neonMaterialName, "init", data)
end

M.init = init
M.updateGFX = nop

return M
